@echo **************************************************************
@echo * Welcome to the DB2 Text Extender V7.1 Fixpack 4 installation
@echo **************************************************************
@echo off
if "%dmbmmpath%"=="" goto error
if exist %dmbmmpath%\bin\db2tx.exe goto bin
goto error1

:bin
if %1.==. goto error2
if %1==-install goto install
if %1.==-install goto error2
goto error2
exit

:install
@echo **************************************************************  >> service.log
@echo * DB2 Text Extender V7.1 Fixpack 4 installation started         >> service.log
@echo **************************************************************  >> service.log

@rem --------------------------------------
@rem check if client or server is installed
@rem --------------------------------------
if exist %dmbmmpath%\bin\desue.dll goto server

@echo CLIENT installation detected >> service.log
@echo Start CLIENT Fixpack installation.
@rem --------------------
@rem copy TE client parts
@rem --------------------
if exist descinst.bat      copy descinst.bat      %dmbmmpath%\bin  >> service.log
if exist desdinst.bat      copy desdinst.bat      %dmbmmpath%\bin  >> service.log
if exist txicrt.exe        copy txicrt.exe        %dmbmmpath%\bin  >> service.log
if exist txidrop.exe       copy txidrop.exe       %dmbmmpath%\bin  >> service.log
if exist db2tx.exe         copy db2tx.exe         %dmbmmpath%\bin  >> service.log
if exist txlevel.exe       copy txlevel.exe       %dmbmmpath%\bin  >> service.log
if exist deslsctx.dll      copy deslsctx.dll      %dmbmmpath%\bin  >> service.log
if exist desclapi.dll      copy desclapi.dll      %dmbmmpath%\bin  >> service.log
if exist descrt.dll        copy descrt.dll        %dmbmmpath%\bin  >> service.log
if exist desutil.dll       copy desutil.dll       %dmbmmpath%\bin  >> service.log
if exist descrt.dll        copy descrt.dll        %dmbmmpath%\bin  >> service.log
if exist destxcmd.ico      copy destxcmd.ico      %dmbmmpath%\bin  >> service.log
if exist deslevel          copy deslevel          %dmbmmpath%\bin  >> service.log
if exist txsample.bat      copy txsample.bat      %dmbmmpath%\samples  >> service.log


@rem ----------------------
@rem  copy TSE client files
@rem ----------------------
if exist descrcl.exe       copy descrcl.exe       %dmbmmpath%\bin  >> service.log
if exist descfgcl.exe      copy descfgcl.exe      %dmbmmpath%\bin  >> service.log
if exist descsclt.exe      copy descsclt.exe      %dmbmmpath%\bin  >> service.log
if exist txtrace.exe       copy txtrace.exe       %dmbmmpath%\bin  >> service.log
if exist destrcd.exe       copy destrcd.exe       %dmbmmpath%\bin  >> service.log

if exist descxtcp.dll      copy descxtcp.dll      %dmbmmpath%\bin  >> service.log
if exist desfm.dll         copy desfm.dll         %dmbmmpath%\bin  >> service.log
if exist desapi.dll        copy desapi.dll        %dmbmmpath%\bin  >> service.log
if exist deslscfs.dll      copy deslscfs.dll      %dmbmmpath%\bin  >> service.log
if exist descs.dll         copy descs.dll         %dmbmmpath%\bin  >> service.log
if exist descos25.dll      copy descos25.dll      %dmbmmpath%\bin  >> service.log
if exist descxloc.dll      copy descxloc.dll      %dmbmmpath%\bin  >> service.log
if exist descxpip.dll      copy descxpip.dll      %dmbmmpath%\bin  >> service.log
if exist despoe.dll        copy despoe.dll        %dmbmmpath%\bin  >> service.log
if exist dessndex.dll      copy dessndex.dll      %dmbmmpath%\bin  >> service.log
if exist desthes.dll       copy desthes.dll       %dmbmmpath%\bin  >> service.log
if exist destoknz.dll      copy destoknz.dll      %dmbmmpath%\bin  >> service.log
if exist destaf10.dll      copy destaf10.dll      %dmbmmpath%\bin  >> service.log
if exist desnl27w.dll      copy desnl27w.dll      %dmbmmpath%\bin  >> service.log
if exist deswc231.dll      copy deswc231.dll      %dmbmmpath%\bin  >> service.log
if exist deswo231.dll      copy deswo231.dll      %dmbmmpath%\bin  >> service.log
if exist desgtb32.dll      copy desgtb32.dll      %dmbmmpath%\bin  >> service.log
if exist desgtc32.dll      copy desgtc32.dll      %dmbmmpath%\bin  >> service.log
if exist desgth32.dll      copy desgth32.dll      %dmbmmpath%\bin  >> service.log

if exist deswmsg.dll       copy deswmsg.dll       %dmbmmpath%\bin  >> service.log
if exist destam10.dll      copy destam10.dll      %dmbmmpath%\bin  >> service.log

@rem ----------------
@rem  TE SDK files
@rem ----------------
@rem if exist desclapi.lib    copy desclapi.lib    %dmbmmpath%\bin  >> service.log
@rem if exist des_ext.h       copy des_ext.h       %dmbmmpath%\bin  >> service.log

@rem -----------------------------------
@rem  TE: copy TXWIZARD files
@rem -----------------------------------
if exist txwizard.jar      copy txwizard.jar      %dmbmmpath%\bin  >> service.log
if exist source.zip        copy source.zip        %dmbmmpath%\bin  >> service.log
if exist txwizard.txt      copy txwizard.txt      %dmbmmpath%\samples\wizard\readme.txt >> service.log

goto success

:server
@echo SERVER installation detected >> service.log
@echo Start SERVER Fixpack installation.
echo Try to stop Text Extender search service and scheduling demon:
txstop 
echo copy files to %dmbmmpath%\bin

@rem ------------------------------------------
@rem  copy TE and TSE libraries and executables
@rem ------------------------------------------
copy *.exe          %dmbmmpath%\bin       >> service.log
copy *.dll          %dmbmmpath%\bin       >> service.log
if exist copy txservice.bat  %dmbmmpath%\bin       >> service.log
if exist copy txsample.bat   %dmbmmpath%\samples   >> service.log

@rem -------------------------------
@rem  copy TE level information file
@rem -------------------------------
copy deslevel     %dmbmmpath%\bin       >> service.log

@rem -----------------------------------
@rem  TE: copy TXWIZARD files
@rem -----------------------------------
if exist txwizard.jar      copy txwizard.jar      %dmbmmpath%\samples\wizard  >> service.log
if exist source.zip        copy source.zip        %dmbmmpath%\samples\wizard  >> service.log
if exist txwizard.txt      copy txwizard.txt      %dmbmmpath%\samples\wizard\readme.txt >> service.log

:success
@echo The installation of the TE fixpack is complete.
@echo Please check the fixpack installation log file service.log
goto exit
:error
@echo Environment variable DMBMMPATH not set.
@echo DB2 UDB Text Extender Version 7.1.0 is not installed correctly.
goto exit
:error1
@echo DB2 UDB Text Extender Version 7.1.0 is not installed.
@echo Fixpack installation stopped.
goto exit
:error2
@echo Syntax:  service [-install]
@echo Note:    See readme.txt file for install instructions.
:exit
